/****************************************************
* Table of Contents
*****************************************************
* 1.0 - Common
* 2.0 - header
*   2.1 - header left
*   2.2 - header right
* 3.0 - navigation
* 4.0 - login page
*   4.1 - login shibboleth
* 5.0 - home page
*   5.1 - home hide topbox, show editing icon
* 6.0 - dashbord page
*   6.1 - dashboard default image
* 7.0 - content
*   7.1 - content bottom
*   7.2 - collapsed topics
*   7.3 - page-mod-resource
*   7.4 - content special
*   7.5 - pagelayout secure
* 8.0 - footer
* 9.0 - special
* 10.0 - mobile
* 11.0 - quiz
*   11.1 - color coded pages
****************************************************/


/************************************ 1.0 - Common ************************************/
body{
    font-family: Arial !important;
    background-color: #eaecee;
}
#page, #nav-drawer{
    background-color: #eaecee;
}
h1{
    font-weight: 700;
    font-size: 2.5em;
    color: #1f407a;
}
h3, .h3{
    font-size: 1.5rem;
}
a{
    color: #0069b4;
}
.dropdown-item:active{
  background-color: #fff !important;  
}
.nav-pills .nav-link.active, .nav-pills .show>.nav-link{
    color: #fff;
    background-color: #9f9f9f;
}
.card, #page-enrol-users #filterform, .que .history, .userprofile .profile_tree section, .groupinfobox, .well{
    border: 0;
}
.list-group-item.active{
    z-index: 2;
    color: #fff;
    background-color: #9f9f9f;
    border-color: #9f9f9f;
}

.course-content ul.section{
    margin: 0;
}

.section .label .mod-indent-outer{
    padding-left: 0;
}

.atto_image_button_text-top{
    margin: 0;
}

.sectionname span a{
    font-weight: 700;
    color: #1f407a;
}
.mr-1, .mx-1{
    margin-right: .7rem!important;
    font-size: 1.1em;
    font-weight: 700;
}
.cleaner{
    vertical-align: top;
    clear: both;
    height: 0.1px;
    font-size: 0.1px;
    margin: 0;
    border: 0px none;
    padding: 0;
    overflow: hidden;
}
.inv{
    position: absolute;
    left: -1000px;
    top: -1000px;
    width: 0px;
    height: 0px;
    overflow: hidden;
    margin-bottom: -0.2em;
    display: inline;
}


/************************************ 2.0 - header  ************************************/
#page-header-color{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 128px;
    background-color: #1f407a;
    z-index: 5;
}
#page-header-color-left{
    position:absolute;
    left:0px;
    top:0px;
    width: 50px;
    height: 174px;
    background-color: #1f407a;
}

.drawer-open-left #page-header-color-nav{
    position: absolute;
    left: 335px;
    top: 0px;
    width: 15px;
    height: 174px;
    background-color: #1f407a;
}
.eupopup #page-header-color-block,
.pagelayout-base #page-header-color-block{
    display:none;
}
.drawer-open-left #page-header-color-nav{
    animation: cssAnimation 0s .1s forwards;
    opacity: 0; 
}
@keyframes cssAnimation{
    to{opacity:1;}
}
#page-header-color-right{
    position:absolute;
    right:0px;
    top:0px;
    width: 50px;
    height: 174px;
    background-color: #1f407a;
}
#header{
    margin:0 50px 0 50px;
    padding:0;
}

#header-container{
    max-height: 1px;
    width: 100%;
}
/* Issue 1 */
:target::before{
    content:"";
    display:block;
    height:132px; /* fixed header height*/
    margin:-132px 0 0; /*   */
}
.format-topcoll :target::before{
    content:"";
    display:block;
    height:132px;
    margin:0;
}


/************************************ 2.1 - header left  ************************************/
#header-left{
    float: none;
    width: 200px;
}
#logo-ethz{
    position: fixed;
    top: 29px;
    left: 50px;
    z-index: 5;
    max-height: 120px;
}
#logo-button{
    position: fixed;
    top: 84px;
    left: 50px;
    z-index: 5;
}
#logo-text{
    position: fixed;
    top: 82px;
    left: 114px;
    z-index: 5;
}
#logo-ethz img{
    width: 182px;
    vertical-align:top;
}
#logo-text span{
    color:#fff;
    text-decoration: none;
    font-weight: 700;
    font-size: 24px;
}


/************************************ 2.2 - header right  ************************************/
#header-right{
    margin-top: 80px;
    width: auto;
    float: right;
    z-index: 5;
    color:#fff;
}
.search-input-wrapper.nav-link, #nav-message-popover-container, #nav-notification-popover-container, #header-right .usermenu, #header-right .userlang{
    float: right;
}
.search-input-wrapper.nav-link .icon,#nav-notification-popover-container .icon,#nav-message-popover-container .icon{
    width: 22px;
    height: 22px;
    visibility:hidden;
}
.search-input-wrapper>form>input{
    margin-left:-10px;
}
.search-input-wrapper>div{
    float: left;
    margin-left:-18px;
}
.search-input-wrapper.nav-link .form-control{
    line-height: 1.0;
}
.search-input-wrapper{
    margin-right:8px;
}
#nav-notification-popover-container{
    margin-right:14px;
}
#header-right .usermenu{
    margin-right: 15px;
    font-weight: bold;
}
#header-right .usermenu a{
    color: #fff;
}
#header-right .usermenu .login {
    line-height: 1.6rem;
}
#header-right .userlang .nav-link{
    padding: 0;
}
#header-right .usertext, #header-right .userlang a{
    color: #fff;
    font-size: 16px;
    font-weight: bold;
}
#header-right .userlang .nav-link{
    padding-top: 0px;
}
#header-right .userlang-menu{
    margin-left: -142px;
    margin-right: -2px
}
#header-right .userlang a{
    margin-top:0px;
    font-size: 18px;
}
#header-right .userlang-menu a{
    font-size: .9375rem;
    font-weight: 400;
    color: #373a3c;
}
#header-right .usermenu .dropdown-menu a{
    color: #373a3c;
}

img.userpicture{
    margin-top: -5px;
}
#nav-message-popover-container{
    background: url(../pix/message.svg);
}
#nav-notification-popover-container{
    background: url(../pix/notifications.svg);
}
.search-input-wrapper{
    background: url(../pix/search.svg);
    width:22px;
}
.search-input-wrapper,#nav-notification-popover-container,#nav-message-popover-container{
    background-size: 22px 22px;
    background-repeat: no-repeat;
    background-position: 0px 6px;
}
#nav{
    clear: both;
}
#header .dropdown-toggle::after{
    color:#FFF;
    font-size:20px;
    margin-left: 0;
}
/* Issue 7 */
.navbar .popover-region-container{
    top: 40px;
    color: #666;
}

.header-right-secure {
    display: flex;
    padding-top: 5px;
}
.header-right-secure > * {
    margin: 0px 0px 0px 5px;
}

/************************************ 3.0 - navigation  ************************************/
#nav-drawer .list-group-item{
    border: 0;
}
@media (max-width: 480px){
.navbar .popover-region .popover-region-container{
    top: 96px;
}
}
.popover-region-toggle::before, .popover-region-toggle::after{
    display:none;
}
/*** top: 128px set navbar to correct height ***/
#page{
    margin-top: 128px;
}
.container-fluid{
    padding-right: 0;
}
[data-region="drawer"]{
    top: 128px; 
    height: calc(100% - 128px);
    margin-left:50px;
    background-color: #eaecee;
    padding: 0 0 20px 0px;
    -webkit-transition: right .2s ease,left .2s ease;
    -moz-transition: right .2s ease,left .2s ease;
    -o-transition: right .2s ease,left .2s ease;
    transition: right .2s ease,left .2s ease;
}
body.drawer-ease{
    -webkit-transition: margin-left .2s ease,margin-right .2s ease;
    -moz-transition: margin-left .2s ease,margin-right .2s ease;
    -o-transition: margin-left .2s ease,margin-right .2s ease;
    transition: margin-left .2s ease,margin-right .2s ease;
}
#header{
    max-height: 128px;
}
#page-wrapper{
    margin:0 50px 0 35px;
}
#nav-drawer.closed{
    left: -355px;
}
.navbar{
    -webkit-box-shadow: none;
    box-shadow: none;
}
.pull-xs-left{
    float: left!important;
}
.navbar-light{
    border-bottom: 0;
}
#nav-drawer-button{
    border: 0;
    padding: 0;
    background-color: transparent;
    cursor: pointer;
}
#nav-drawer-button img{
    vertical-align:top;
}
#nav-drawer-button img:focus{
    outline: none;
}


/************************************ 4.0 - login page  ************************************/
#page-login-index{
    background: url(../pix/login.jpg);
    background-size: cover;
    background-position: center;
}
.btn-primary{
    background-color: #9f9f9f;
    border:0;
}
.btn-secondary{
    border:0;
}
#page-login-index #page{
    background-color: transparent;
}
.login-ethz #page-header-color{
    height: 86px;
}
.login-ethz .justify-content-center{
    justify-content:flex-start!important;
}
.login-ethz .container-fluid{
    padding-right:0;
    padding-left:0;
}
.login-ethz #page{
    margin-top: 80px!important;
}
@media (max-width:560px){
    .login-ethz #page{
        margin-top: 30px!important;
    }
}
.login-ethz .card-header{
    display: none;
}
.login-ethz .card-block:before{
    content: 'Login';
    font-weight: 700;
    font-size: 1.8em;
    color: #1f407a;
    margin-left:22px;
    padding-top: 20px;
}
.login-ethz .card-block{
    margin-top: 20px;
}
.login-ethz .justify-content-md-center{
    justify-content:flex-start!important;
}
.login-ethz .usermenu .login, .login-ethz .usermenu .login a{
    color:#fff;
    font-weight: bold;
    font-size: 18px;    
}

/************************************ 4.1 - login shibboleth  ************************************/
#page-auth-shibboleth-login #header-right,
#page-auth-shibboleth-login #page-header,
#page-auth-shibboleth-login #page-header-color-left,
#page-auth-shibboleth-login #page-header-color-right,
#page-auth-shibboleth-login #footer,
#page-auth-shibboleth-login #page-header-color-nav{
    display:none;
}
#page-auth-shibboleth-login #region-main-box{
    max-width:570px
}
#page-auth-shibboleth-login #region-main>.card{
    min-height: 10rem;
}
#page-auth-shibboleth-login .container-fluid{
    padding-right:0;
    padding-left:0;
}
#page-auth-shibboleth-login #page{
    margin-top: 80px!important;
}
#page-auth-shibboleth-login #page{
    background-color: transparent;
}
#page-auth-shibboleth-login #nav-drawer{
  background-color: transparent;
  margin-top: 52px;
}
#page-auth-shibboleth-login #idp{
  padding:3px;
  margin-bottom:5px;
  width: 100%;
}
@media (max-width:570px){
    #page-auth-shibboleth-login #page{
        margin-top: 30px!important;
    }
    #page-auth-shibboleth-login #logo-ethz img{
        width: 182px;
    }
    #page-auth-shibboleth-login #logo-ethz{
        left: 60px;
    }
    #page-auth-shibboleth-login #page-content{
        margin-top: 80px!important;
    }
    #page-auth-shibboleth-login .col-12{
        padding:0;
    }
}
/* Issue 6 */
@media (max-width:768px){
    #page-auth-shibboleth-login #nav-drawer{
        display: none;
    }
}

#page-auth-shibboleth-login #page-content{
    margin-top:180px;
    margin-left:0px;
}
#page-auth-shibboleth-login .loginpanel h2{
    font-weight: 700;
    font-size: 1.8em;
    color: #1f407a;
}
#page-auth-shibboleth-login p:nth-child(2){
    margin-bottom:70px;
}
#page-auth-shibboleth-login .signuppanel{
    margin-top:24px;
}
#page-auth-shibboleth-login .signuppanel h2{
    font-weight: 700;
    font-size: 1rem;
    color: #1f407a;
}
#page-auth-shibboleth-login input{
    background-color: #9f9f9f;
    border: 0;
    color: #fff;
    font-weight: 400;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    border: 1px solid transparent;
    padding: .275rem .75rem;
    font-size: .9375rem;
    line-height: 1.5;
    border-radius: 0;
    cursor: pointer;
}
#page-auth-shibboleth-login input:hover{
    background-color: #1177d1;
    border-color: #1177d1;
}
#page-auth-shibboleth-login{
    background: url(../../../theme/boost_ethz/pix/login.jpg) no-repeat center center fixed;
    background-size: cover;
    background-position: center;
}
#page-auth-shibboleth-login footer .container{
    padding: 8px 10px 8px 10px;
    margin: 8px 0px 8px 0px;
    background-color: #eaecee;
}


/************************************ 5.0 - home page  ************************************/
#page-site-index h2{
    color: #1f407a;
    font-weight: 700;
    padding:  0 0.8rem 0;
}
.itemInfo h2{
    padding: 0 !important;
}
.itemInfo{
    font-weight: normal;
    position: absolute;
    bottom: 5em;
    left: 0;
    padding: 0.9375rem 1.125rem;
    width: 60%;
    background-color: rgba(250, 250, 250, 0.9);
}
.infoText{
  color:#000;
  font-size:20px;
  overflow: hidden;
  max-height: 58px;
  margin-bottom: 5px;
}
#page-site-index #region-main .card-body .no-overflow{
    position: relative;
}

#page-site-index #region-main .card-body{
    padding: 0;
    margin: -1px 0 0 0;
}
.atto_image_button_text-top.img-responsive, .atto_image_button_middle.img-responsive, .atto_image_button_text-bottom.img-responsive{
    max-width: 100%;
}
.atto_image_button_text-bottom{
    margin: 0;
}
#page-site-index pre{
    font-family: Arial;
    font-size: 100%;
    overflow: initial;
    scrolling: none;
    white-space: pre-wrap;
    white-space: -moz-pre-wrap;
    white-space: -pre-wrap;
    white-space: -o-pre-wrap;
    word-wrap: break-word;
}
#page-site-index .section li.activity{
    padding: 0;
    clear:initial;
}
#page-site-index ul.section.img-text{
    overflow: hidden;
}
#page-site-index .section.img-text li.activity:nth-child(1),#page-site-index .section.img-text li.activity:nth-child(2){
    width: 50%;
    float: left;
    margin: 20px 0;
    font-size: 1rem;
}
#page-site-index ul.section.img-text{
    padding-left: 2rem !important;
    
}
#page-site-index .generalbox .no-overflow{
    background-color: #eaecee;
    border-bottom: 14px solid #eaecee;
}
#page-site-index .contentwithoutlink .no-overflow{
    background-color: #fff;
    border-bottom: 14px solid #fff;
}
#page-site-index .section .label .contentwithoutlink, #page-site-index .section .label .activityinstance{
    padding-right: 0.8rem;
}
#page-site-index .path-site li.activity>div, #page-site-index .path-course-view li.activity>div{
    padding: 0;
}
#page-site-index .usermenu .login a{
    color: #fff;
}
.notloggedin .search-input-wrapper{
    display: none;
}


/************************************ 5.1 - home hide topbox, show editing icon  ************************************/
/*
#page-site-index #page-header{
    position: fixed;
    z-index: 3;
    top:-100px;
    right:0px;
}

#page-site-index #page-header .card{
    background: transparent;
    color: transparent;
}

#page-site-index #page-header h1{
    display: none;
}
#page-site-index #page-header .dropdown{
    position: fixed;
    top:140px;
    right:320px;
}
*/ /*MH*/

/************************************ 6.0 - dashbord page  ************************************/
#page-my-index #page-header h1{
    margin-bottom: 0;
    font-size: 2rem;
    font-weight: 500;
    margin-top: 13px;
}
#page-header img.userpicture{
    margin-top: 0;
    width: 60px;
    height: 60px;
}
.page-context-header .page-header-image{
    margin-bottom: 0;
}
.progress-chart-container{
    margin-bottom: 3px!important;
}
#page-my-index #pc-for-in-progress .card-body{
    padding: 0.75rem !important;
}
.block_myoverview .courses-view-course-item{
    height: 280px;
    overflow-y: hidden;
}
.block_myoverview .courses-view-course-item .h5{
    font-size: 1.25rem;
}
.block_myoverview .courses-view-course-item h4{
    margin-top: 1rem;
}


/************************************ 6.1 - dashboard default image ************************************/
.card-img-top.myoverviewimg.coursepattern{
    background-image: url("../pix/dashboard.jpg")!important;
}


/************************************ 7.0 - content ************************************/
#page-header .pt-3, #page-site-index #page-header .py-3, #page-content .py-3{
    padding-top: 0!important;
}
#page-header .alert.py-3, #page-site-index #page-header .alert.py-3, #page-content .alert.py-3,
#page-login-index .pt-3, #page-login-index .py-3{
    padding-top: 1rem!important;
}


.breadcrumb{
    padding: .15rem 0 0 0;
}
.subcategories .collapsed h3, .subcategories .collapsed h4{
    font-size: 1.2em;
}
#coursesearch{
    text-align:left;
    margin-top:0px;
}
#page-course-search .mdl-align{
    text-align:left;
}
.highlight{
    color: #134260!important;
}
.fa-arrows{
    color:#888;
}
/*** content - set left no space ***/
.course-content ul.section{
    margin-left: 0;
}
.course-content ul.topics li.section .left, .course-content ul.topics li.section .right{
    width: 0px;
    padding: 0px;
}
.course-content ul.weeks li.section .left, .course-content ul.weeks li.section .right{
    width: 0px;
    padding: 0px;
}
.jsenabled .course-content ul.topics li.section .left, .jsenabled .course-content ul.topics li.section .right{
    width: 0px;
    padding: 0px;
}
.section .left{
    width:0px !important;
}
.img-text{
    padding:0 !important;
    margin:0 !important;
}
.block_course_overview .content{
    margin-left:0;
}
.coursebox .content .summary, .coursebox .content .coursecat{
    float: left;
    width: 100%;
}
.course-content ul.topics li.section .summary, .course-content ul.weeks li.section .summary{
    margin-left: 0;
}
.section .label .mod-indent-outer{
    margin-left: 0;
    padding-left: 0;
}
.coursebox{
    padding-left: 0;
}
.coursebox > .info > h3.coursename{
    margin-left: 0;
}
.qn-container{
    margin-left: 0;
}
.card-block, #page-enrol-users #filterform, .userprofile .profile_tree section, .yui-skin-sam .yui-layout.path-mod-chat-gui_ajax .yui-layout-unit-right, .yui-skin-sam .yui-layout.path-mod-chat-gui_ajax .yui-layout-unit-bottom, .yui-skin-sam .yui-layout.path-mod-chat-gui_ajax #chat-messages .chat-message.course-theme, .well{
    padding-left: 1.75rem;
}
.card-body, .userprofile .profile_tree section{
    padding: 1.25rem 1.5rem;
}
/*** editing ***/
.editing .course-content ul.topics li.section, .editing .course-content ul.weeks li.section{
    padding-top: 0;
    padding-bottom: 1rem;
}
.editing .course-content ul.topics li.section .right{
    width: 80px !important;
    padding: 0 6px !important;
}
.editing .course-content ul.topics li.section .left, .editing .course-content li.section .left{
    width: 27px !important;
}
.editing #section-0 .left{
    width: 0 !important;
}
/* Issue 4 + Issue 26 */
.moodle-dialogue.yui3-widget-positioned.yui3-dd-draggable,
.moodle-dialogue.yui3-widget-positioned.moodle-dialogue-focused{
  z-index: 2000!important;
}
/* Issue Anzeige Ende User Tours */
.btn-primary.disabled, .btn-primary:disabled {
    background-color: #1f407a;
    border-color: #1f407a;
}


/************************************ 7.1 - content bottom ************************************/
/*hack to remove space, depending on header height */
#page-wrapper{
    padding:0;
}
#page-wrapper::after{
    content: "";
    display: none;
    min-height: 130px;
    background-color: #eaecee;
}
#region-main>.card, #page-enrol-users #region-main>#filterform, .path-calendar .maincalendar #region-main>.calendar-event-panel, .block .calendar-event-panel #region-main>.yui3-overlay-content, .que #region-main>.history, .userprofile .profile_tree #region-main>section, #region-main>.groupinfobox, #region-main>.forumpost, .yui-skin-sam .yui-layout.path-mod-chat-gui_ajax #region-main>.yui-layout-unit-right, .yui-skin-sam .yui-layout.path-mod-chat-gui_ajax #region-main>.yui-layout-unit-bottom, .yui-skin-sam .yui-layout.path-mod-chat-gui_ajax #chat-messages #region-main>.chat-message.course-theme, #region-main>.well{
    min-height: 500px;
}


/************************************ 7.2 - collapsed topics ************************************/
.course-content ul.ctopics li.section.main .side, .course-content ul.ctopics li.tcsection .side{
    display:none;
}
.editing .course-content ul.ctopics li.section.main .side, .editing .course-content ul.ctopics li.tcsection .side{
    display:block;
}
.course-content ul.ctopics li.section.main .content, .course-content ul.ctopics li.tcsection .content{
    margin: 0 !important;
}
.course-content ul.ctopics li.section.main .content, .course-content ul.ctopics li.tcsection .content{
    margin: 0 !important;
}
.course-content ul.ctopics #section-0 .content{
    padding: 10px 10px 10px 0;
}
.course-content .ctopics a:first-of-type>.icon, .course-content .ctopics span:first-of-type>.icon{
    margin-left: -30px;
}
.editing .course-content .ctopics a:first-of-type>.icon, .editing .course-content .ctopics span:first-of-type>.icon{
    margin-left:0;
}
.course-content ul.ctopics li.section .content .toggle, .course-content ul.ctopics li.section .content.sectionhidden{
    border-radius: 0;
}
.editing .course-content ul.ctopics li.section .content .toggle, .editing .course-content ul.ctopics li.section .content.sectionhidden{
    padding-left: 30px;
}
.ctopics h3{
    font-size: 1.2rem;
    text-align: left;
    border: 0;
}
.ctopics .sectionbody h3{
    font-size: 1.75rem;
}
.tc-small{
    font-size: 1rem;
}
#toggle-all .content .sectionbody h4 span.tc-small{
    padding-left: 18px;
    padding-right: 18px;
}

#toggle-all .content .sectionbody h4 span.tc-medium, .course-content ul.ctopics li.section .content .toggle span.tc-medium{
    background-size: 16px 16px;
}

.course-content ul.ctopics h4, .course-content ul.ctopics .h4{
    font-size: 1rem;
}
.ctopics .sectionhead{
    border-radius: 0 !important;
    border: 0 !important;
}


/************************************ 7.3 - page-mod-resource - Issue 10 ************************************/
#page-mod-resource-view{
  background-color: #fff;
}
#page-mod-resource-view #page{
  background-color: #fff;
  margin-top: 0px;
}


/************************************ 7.4 - content special ************************************/
/* Issue 14 */
.path-mod-forum :target~.forumpost:before{
    background-color: #1f407a;
}
/* Issue 19 */
#page-blocks-opencast-addvideo .card{
    border: 1px solid rgba(0,0,0,.125);
}
/* Issue 21 */
.que .formulation{
    color: #373a3c;
    background-color: #dee2e6;
    border:0;
}
.que .info{
    border:0;
}
/* Issue 22 */
#gridshadebox_content{
    z-index:1030 !important;
}
/* Issue 24 */
#region-main-settings-menu>div {
    z-index: 4;
}
/* Issue 25 */
.editor_atto_wrap .editor_atto{
    z-index: 5;
}

/* Issue 31 */
@media (min-width: 768px){
    #page-backup-backup .col-md-3 {
        flex: 0 0 70%;
        max-width: 70%;
    }
    #page-backup-backup .col-md-9 {
        flex: 0 0 30%;
        max-width: 30%;
    }
}
@media (min-width: 1240px){
    #page-backup-backup .col-md-3 {
        flex: 0 0 25%;
        max-width: 25%;
    }
    .col-md-9 {
        flex: 0 0 75%;
        max-width: 75%;
    }
}
/************************************ 7.5 - pagelayout secure ************************************/
.pagelayout-secure #logo-text{
    left: 49px;
}
.pagelayout-secure .logininfo{
    min-width: 500px;
    font-weight: bold;
    text-align: right;
}
.pagelayout-secure #header-right .userlang .nav-link{
    padding-left: 20px;
}

.pagelayout-secure #page-header{
    display: flex;
    flex-wrap: wrap;
    background-color: #fff;
}

.pagelayout-secure #page-footer{
    display:none;
}

@media (max-width: 560px){
    .pagelayout-secure #header-left{
        display: none;
    }
}

/************************************ 8.0 - footer ************************************/
footer .container{
    width: 100%;
    /*padding: 8px 30px 8px 50px;*/
    padding: 8px 30px 8px 10px;
    margin-right: 0;
    margin-left: 0;
}
footer.py-3{
    padding-top: 0!important;
    padding-bottom: 0!important;
}
#page-footer{
    min-height:20px;
    background-color: transparent;
}
#page-footer a{
   text-decoration: none;
   color: rgb(33, 37, 41);
}
#page-footer a:hover{
   text-decoration: underline;
}
#page-footer.text-light {
    color: rgb(33, 37, 41)!important;
}
.sitelink{
    display:none;
}
a.moreless-toggler:hover, .cache-definition-stats-heading{
    color: #fff;
}
#page-footer .iconhelp{
    display: none;
}
#page-footer p {
    margin-bottom: 0;
}


/************************************ 9.0 - special ************************************/
/************************************ 10.04.2018 Verborgene Kurse */
.dimmed .highlight{ 
   color: #818a91!important;
}

/************************************ 10.04.2018 Darstellungsproblem bei Kprim 
@media (min-width: 768px){
#page-question-type-kprime .col-md-3{
    float:none;
    width: 100%;
}
}

/************************************ 10.0 - mobile ************************************/
@media (max-width:1200px){
    #page-site-index #page-header .dropdown{
        position: fixed;
        top:-100px;
    }
    #page-site-index #page-header-color-block{
        display: none;
    }
}
@media (max-width:1016px){
    /************************************ Fixes - overwrite default */
    #page-mod-quiz-edit .maxgrade, #page-mod-quiz-edit .totalpoints{
        position: inherit;
        right: 0;
        margin: 0;
        padding: 8px;
    }
     #page-mod-quiz-edit .maxgrade .m-l-1 , #page-mod-quiz-edit .totalpoints .m-l-1{
        margin-left: 0!important;
    }
    #page-mod-quiz-edit .path-mod-quiz input[size]{
        width: 94px;
        max-width: 100%;
    }
    #page-mod-quiz-edit .section-heading .instanceshufflequestions{
        margin: .3em 20px 20px 0;
    }
}
@media (max-width:968px){
    /*** home ***/
    .drawer-open-left .itemInfo{
        display: none;
    }
    #page-site-index.drawer-open-left  .section.img-text li.activity:nth-child(1), #page-site-index.drawer-open-left .section.img-text li.activity:nth-child(2){
        width: 100%;
        float:none;
    }
    #page-site-index.drawer-open-left .section .label .contentwithoutlink, #page-site-index.drawer-open-left .section .label .activityinstance{
        padding-right: 0;
    }
}


/************************************ Overwrite default */
@media (min-width: 768px){
    body.drawer-open-left{
        margin-left: 300px;

    }
}


@media (max-width:768px){
    /*** home ***/
    #page-site-index .section.img-text li.activity:nth-child(1),#page-site-index .section.img-text li.activity:nth-child(2){
        width: 100%;
        float:none;
    }
    #page-site-index ul.section.img-text{
        padding-left: 1rem !important;
    }
    #page-site-index .section .label .contentwithoutlink, #page-site-index .section .label .activityinstance{
        padding-right: 0;
    }
    /*** header right - not loggedin ***/
    #header-right .usermenu .login{
        visibility: hidden;
        font-size: 0px;
    }
    #header-right .usermenu .login a{
        visibility: visible;
        font-size: initial;
    }
    #page-header-color-nav{
        display: none;
    }
    /*** content ***/
    #page-my-index h1{
      font-size: 1.5rem;
    }
    #page-my-index #page-header h1{
      font-size: 1.5rem;
      margin-bottom: .5rem;
    }
    #page-my-index .card-body .d-flex.flex-wrap{
        margin-top: 0;
    }
    .page-context-header .page-header-image, .page-context-header .page-header-headings{
        float: none;
        display: initial;
    }
    
    /*** Fixes - overwrite default ***/
    .block_myoverview .courses-view-course-item{
        height: auto;
    }
    .path-mod-workshop .participant img.userpicture{
        width: 16px;
        height: 16px;
    }
    .grading-report .participant span{
        line-height: 20px;
    }
    .dropdown-item a{
        overflow-wrap: break-word;
        -ms-word-break: break-all;
        word-break: break-all;
        word-wrap: break-word;
        min-width: 200px;
    }
}

/************************** mobile header + nav **************************/
@media (max-width:560px){
    #page-header-color, #header{
        height: 68px;
    }
    #page-header-color-left, #page-header-color-right, .drawer-open-left #page-header-color-nav{
        display: none;
    }
    #header-left{
        float: none;
        width: 200px;
    }
    #logo-ethz{
        top: 26px;
        left: 60px;
        max-height: 68px;
    }
    #logo-button{
        top: 24px;
        left: 16px;
    }
    #logo-text{
        display: none;
    }
    #logo-ethz img{
        width: 120px;
    }
    #logo-button img{
        width: 22px;
    }

    #header-right{
        margin-top: -12px;
    }

    /*** top: 128px set navbar to correct height ***/
    #page{
        margin-top: 68px;
    }
    .container-fluid{
        padding-left: 0;
    }

    [data-region="drawer"]{
        top: 68px; 
        height: calc(100% - 68px);
        margin-left:0;
        padding-right: 1px;
    }
    #header{
        max-height: 68px;
        margin-right: 18px;
    }
    #page-wrapper{
        margin:0;
    }
    .navbar-nav .dropdown-menu{
        position: absolute;
    }
    
    .dropdown-menu{
        left: -100px;
    }
    #header-right .userlang-menu{
        margin-left: -42px; /* 142-100 */
    }
    h1{
        font-size: 2em;
    }
    /*** home ***/
    .itemInfo{
        display: none;
    }
    
}

@media (max-width:480px){
    .search-input-wrapper.nav-link{
        display: none;
    }
}
@media (max-width:435px){
    .userlang{
        display: none;
    }
    .notloggedin #header-right .usermenu{
        margin-right: 0;
    }
}
@media (max-width:390px){
    .usermenu{
        display: none;
    }
    .notloggedin .usermenu{
        display: initial;
    }
}
@media (max-width:320px){
    img.userpicture{
        margin-right: -5px;
    }
    #nav-message-popover-container, #nav-notification-popover-container{
        display:none;
    }
}
/* 11.0 Quiz */
/* 11.1: Color coded pages */
a.notyetanswered, tr.notyetanswered td.lastcol{
    background-color:#FFFFFF !important;
}
a.invalidanswer, tr.invalidanswer td.lastcol{
    background-color:#FFF68F !important;
}
a.answersaved, tr.answersaved td.lastcol{
    background-color:#D4ED91 !important;
}
#page-mod-quiz-review .incorrect .state{
    background-color:#FFCCCC !important;
}
#page-mod-quiz-review .notanswered .state{
    background-color:#FFCCCC !important;
}
#page-mod-quiz-review .partiallycorrect .state{
    background-color:#FFFFAA !important;
}
#page-mod-quiz-review .correct .state{
    background-color:#D4ED91 !important;
}

/* 11.2 Quiz Navigation block position */
#page-mod-quiz-attempt .quiz-float-left,
#page-mod-quiz-summary .quiz-float-left,
#page-mod-quiz-review .quiz-float-left {
    float: left !important;
}
#page-mod-quiz-attempt .quiz-float-right,
#page-mod-quiz-summary .quiz-float-right,
#page-mod-quiz-review .quiz-float-right {
    float: right !important;
}

/* Fixes CMDL-282 */
.pagelayout-incourse.path-user #region-main.has-blocks {
    display: inline-block;
    width: 100%;
}
.pagelayout-incourse.path-user [data-region="blocks-column"] {
    width: 100%;
}

/* Fixes CMDL-327 */
.pagelayout-incourse a.moreless-toggler:hover {
    color: unset;
}

/* Regarding CMDL-355 */
@media (max-width:560px){
    .message-drawer {
        top: 68px !important;
        height: calc(100% - 68px) !important;
    }
}

.message-drawer {
    top: 128px;
    height: calc(100% - 128px);
}

/* Moodle Boost Fixes */
/* Fixes CMDL-364 */
.activity-navigation .pull-left,
.activity-navigation .pull-right {
    width: 100%;
    overflow: hidden;
}